Subject: Re: [PATCH 1/2] sch_netem: Remove classful functionality

From: Patrick McHardy <[email-masked]>
Date: Tue, 04 Nov 2008 22:42:28 +0100

Stephen Hemminger wrote:
>> David, this makes sense to me, so please revert these two patches.
>> (Then, I think we're still at RFC stage.)
>>
>> Thanks.
>> Jarek P.
>>     
>
> Keep Jarek's patch, I am working on dummynet compatiable rate control.

I'm still wondering what these incompatibilies are, in verifiable terms.

The dummynet algorithm looks like a not particulary cleverly implemented
TBF, but I can't see why it would behave any differently than a suitably
configured Linux TBF (cell size == 1) except for implementation differences
outside its scope (clock, timers etc).